"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var rimraf_dir_exports = {};
__export(rimraf_dir_exports, {
  rimrafDir: () => rimrafDir
});
module.exports = __toCommonJS(rimraf_dir_exports);
var import_npmlog = __toESM(require("npmlog"));
var import_path = __toESM(require("path"));
var import_path_exists = __toESM(require("path-exists"));
const childProcess = require("@lerna/child-process");
const RIMRAF_CLI = require.resolve("rimraf/bin");
function rimrafDir(dirPath) {
  import_npmlog.default.silly("rimrafDir", dirPath);
  return (0, import_path_exists.default)(dirPath).then((exists) => {
    if (!exists) {
      return;
    }
    const slashed = import_path.default.normalize(`${dirPath}/`);
    const args = [RIMRAF_CLI, "--no-glob", slashed];
    return childProcess.spawn(process.execPath, args).then(() => {
      import_npmlog.default.verbose("rimrafDir", "removed", dirPath);
      return dirPath;
    });
  });
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  rimrafDir
});
